package com.prolog.eis.constants.base;

import java.util.ArrayList;
import java.util.List;

public class ErrorMessageConstants {
    /**
     * 非入库模式
     */
    public static final String UN_INBOUND_MODE = "非入庫モード";
    /**
     * 有出库搬运任务
     */
    public static final String HAVA_PATH_TASK = "出庫運搬タスクあり";
    /**
     * 当前容器库存已存在
     */
    public static final String HAVA_CONTAINER_STORE = "現在のコンテナ在庫はすでに存在します";


    public static final String SYS_MSG = "システム異常";


    public static final List<String> errorList = new ArrayList<String>() {{
        add(UN_INBOUND_MODE);
        add(HAVA_CONTAINER_STORE);
        add(HAVA_PATH_TASK);
        add(SYS_MSG);
    }};

    public static boolean matchErrorMsg(String msg) {
        for (String s : errorList) {
            if (msg.contains(s)) {
                return false;
            }
        }
        return true;
    }
}
